Skip to main content
`Ctrl`+`K`

# PetscViewerBinaryGetSkipOptions

checks if viewer uses the PETSc options database when loading objects

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryGetSkipOptions(PetscViewer viewer, PetscBool *skip)

Not Collective

## Input Parameter

- viewer - `PetscViewer` context, obtained from `PetscViewerBinaryOpen()`

## Output Parameter

- skip - `PETSC_TRUE` means do not use

## Note

This must be called after `PetscViewerSetType()`

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERBINARY`, `PetscViewerBinaryOpen()`, `PetscViewerBinaryGetDescriptor()`, `PetscViewerBinarySkipInfo()`, `PetscViewerBinarySetSkipOptions()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/binary/binv.c

## Implementations

PetscViewerBinaryGetSkipOptions_Binary() in src/sys/classes/viewer/impls/binary/binv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages